<?php

namespace TablesRouter;

class Aufgabe {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function assignURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::assignURL2($params);
	
    
  }

  public static function deleteConfirmURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteConfirmURL2($params);
	
    
  }

  public static function viewURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::viewURL2($params);
	
    
  }

  public static function indexURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::indexURL2($params);
	
    
  }

  public static function createURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::createURL2($params);
	
    
  }

  public static function editURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::editURL2($params);
	
    
  }

  public static function stateEditURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::stateEditURL2($params);
	
    
  }

  public static function deadlineEditURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deadlineEditURL2($params);
	
    
  }

  public static function assignListFop_listURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::assignListFop_listURL2($params);
	
    
  }

  public static function deleteURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteURL2($params);
	
    
  }

  public static function createListAufgabeAnhang_parentURL($row = null , $parent = null , $params = [] , $column_file = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;$params['column_file'] = $column_file;
		return self::createListAufgabeAnhang_parentURL2($params);
	
    
  }

  public static function editListAufgabeAnhang_parentURL($row = null , $parent = null , $params = [] , $column_file = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;$params['column_file'] = $column_file;
		return self::editListAufgabeAnhang_parentURL2($params);
	
    
  }

  public static function createMatrixMatrix_aufgabeProperty_parent_typeURL($id, $values, $typ, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;$params['values'] = $values;$params['typ'] = $typ;
		return self::createMatrixMatrix_aufgabeProperty_parent_typeURL2($params);
	
    
  }

  public static function editMatrixMatrix_aufgabeProperty_parent_typeURL($id, $values, $typ, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;$params['values'] = $values;$params['typ'] = $typ;
		return self::editMatrixMatrix_aufgabeProperty_parent_typeURL2($params);
	
    
  }

  public static function fetchAufgabeEvent_create_state_defaultDynamicwf_aufgabeEvent_create_state_defaultDynamicURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchAufgabeEvent_create_state_defaultDynamicwf_aufgabeEvent_create_state_defaultDynamicURL2($params);
	
    
  }

  public static function fetchAufgabeEvent_edit_state_defaultDynamicwf_aufgabeEvent_edit_state_defaultDynamicURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchAufgabeEvent_edit_state_defaultDynamicwf_aufgabeEvent_edit_state_defaultDynamicURL2($params);
	
    
  }

  public static function searchOptionsaufgabeEvent_ticket_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsaufgabeEvent_ticket_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsaufgabeAnhang_parent_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsaufgabeAnhang_parent_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsaufgabeProperty_parent_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsaufgabeProperty_parent_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parentURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parentURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parentURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parentURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_aufgabe_create_aufgabeAnhang_parent_parentURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_aufgabe_create_aufgabeAnhang_parent_parentURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parentURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parentURL2($params);
	
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_create_ticketURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_aufgabeEvent_create_ticketURL2($params);
	
    
  }

  public static function searchOptionsform_wf_aufgabeAnhang_create_parentURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_aufgabeAnhang_create_parentURL2($params);
	
    
  }

  public static function searchOptionsform_wf_aufgabeProperty_create_parentURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_aufgabeProperty_create_parentURL2($params);
	
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_edit_ticketURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_aufgabeEvent_edit_ticketURL2($params);
	
    
  }

  public static function searchOptionsform_wf_aufgabeAnhang_edit_parentURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_aufgabeAnhang_edit_parentURL2($params);
	
    
  }

  public static function searchOptionsform_wf_aufgabeProperty_edit_parentURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_aufgabeProperty_edit_parentURL2($params);
	
    
  }

  public static function renderEditaufgabeEvent_ticket_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditaufgabeEvent_ticket_deletecascadeURL2($params);
	
    
  }

  public static function renderEditaufgabeAnhang_parent_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditaufgabeAnhang_parent_deletecascadeURL2($params);
	
    
  }

  public static function renderEditaufgabeProperty_parent_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditaufgabeProperty_parent_deletecascadeURL2($params);
	
    
  }

  public static function renderEditformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parentURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parentURL2($params);
	
    
  }

  public static function renderEditformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parentURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parentURL2($params);
	
    
  }

  public static function renderEditformarray_wf_aufgabe_create_aufgabeAnhang_parent_parentURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_aufgabe_create_aufgabeAnhang_parent_parentURL2($params);
	
    
  }

  public static function renderEditformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parentURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parentURL2($params);
	
    
  }

  public static function renderEditform_wf_aufgabeEvent_create_ticketURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_aufgabeEvent_create_ticketURL2($params);
	
    
  }

  public static function renderEditform_wf_aufgabeAnhang_create_parentURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_aufgabeAnhang_create_parentURL2($params);
	
    
  }

  public static function renderEditform_wf_aufgabeProperty_create_parentURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_aufgabeProperty_create_parentURL2($params);
	
    
  }

  public static function renderEditform_wf_aufgabeEvent_edit_ticketURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_aufgabeEvent_edit_ticketURL2($params);
	
    
  }

  public static function renderEditform_wf_aufgabeAnhang_edit_parentURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_aufgabeAnhang_edit_parentURL2($params);
	
    
  }

  public static function renderEditform_wf_aufgabeProperty_edit_parentURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_aufgabeProperty_edit_parentURL2($params);
	
    
  }

  public static function assignURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/assign';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteConfirmURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/deleteConfirm';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function viewURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/view';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/index';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function route($q) { 
    
    
    // --- BLOCK: main ---
    
	if (($q == 'assign') ) {
		try {
			$result = \Tables\Aufgabe::assignAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'deleteConfirm') ) {
		try {
			$result = \Tables\Aufgabe::deleteConfirmAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'view') ) {
		try {
			$result = \Tables\Aufgabe::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'create')) {
		try {
			$result = \Tables\Aufgabe::createAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'edit') ) {
		try {
			$result = \Tables\Aufgabe::editAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'stateEdit') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Aufgabe::stateEditAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'deadlineEdit') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Aufgabe::deadlineEditAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'fetchAufgabeEvent_create_state_defaultDynamicwf_aufgabeEvent_create_state_defaultDynamic') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Aufgabe::fetchAufgabeEvent_create_state_defaultDynamicwf_aufgabeEvent_create_state_defaultDynamicAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchAufgabeEvent_edit_state_defaultDynamicwf_aufgabeEvent_edit_state_defaultDynamic') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Aufgabe::fetchAufgabeEvent_edit_state_defaultDynamicwf_aufgabeEvent_edit_state_defaultDynamicAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'assignListFop_list')  ) {
		try {
			$result = \Tables\Aufgabe::assignListFop_listAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'createListAufgabeAnhang_parent')   ) {
		try {
			$result = \Tables\Aufgabe::createListAufgabeAnhang_parentAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null, isset($_GET['column_file']) ? $_GET['column_file'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'editListAufgabeAnhang_parent')   ) {
		try {
			$result = \Tables\Aufgabe::editListAufgabeAnhang_parentAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null, isset($_GET['column_file']) ? $_GET['column_file'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'createMatrixMatrix_aufgabeProperty_parent_type') && isset($_GET['id'])   && isset($_GET['values'])   && isset($_GET['typ'])  ) {
		try {
			$result = \Tables\Aufgabe::createMatrixMatrix_aufgabeProperty_parent_typeAction($_GET['id'], $_GET['values'], $_GET['typ']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'editMatrixMatrix_aufgabeProperty_parent_type') && isset($_GET['id'])   && isset($_GET['values'])   && isset($_GET['typ'])  ) {
		try {
			$result = \Tables\Aufgabe::editMatrixMatrix_aufgabeProperty_parent_typeAction($_GET['id'], $_GET['values'], $_GET['typ']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsaufgabeEvent_ticket_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsaufgabeEvent_ticket_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsaufgabeAnhang_parent_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsaufgabeAnhang_parent_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsaufgabeProperty_parent_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsaufgabeProperty_parent_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parent') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parentAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parent') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parentAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_aufgabe_create_aufgabeAnhang_parent_parent') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsformarray_wf_aufgabe_create_aufgabeAnhang_parent_parentAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parent') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parentAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_aufgabeEvent_create_ticket') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsform_wf_aufgabeEvent_create_ticketAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_aufgabeAnhang_create_parent') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsform_wf_aufgabeAnhang_create_parentAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_aufgabeProperty_create_parent') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsform_wf_aufgabeProperty_create_parentAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_aufgabeEvent_edit_ticket') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsform_wf_aufgabeEvent_edit_ticketAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_aufgabeAnhang_edit_parent') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsform_wf_aufgabeAnhang_edit_parentAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_aufgabeProperty_edit_parent') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Aufgabe::searchOptionsform_wf_aufgabeProperty_edit_parentAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditaufgabeEvent_ticket_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditaufgabeEvent_ticket_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditaufgabeAnhang_parent_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditaufgabeAnhang_parent_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditaufgabeProperty_parent_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditaufgabeProperty_parent_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parent') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parentAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parent') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parentAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_aufgabe_create_aufgabeAnhang_parent_parent') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditformarray_wf_aufgabe_create_aufgabeAnhang_parent_parentAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parent') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parentAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_aufgabeEvent_create_ticket') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditform_wf_aufgabeEvent_create_ticketAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_aufgabeAnhang_create_parent') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditform_wf_aufgabeAnhang_create_parentAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_aufgabeProperty_create_parent') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditform_wf_aufgabeProperty_create_parentAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_aufgabeEvent_edit_ticket') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditform_wf_aufgabeEvent_edit_ticketAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_aufgabeAnhang_edit_parent') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditform_wf_aufgabeAnhang_edit_parentAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_aufgabeProperty_edit_parent') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Aufgabe::renderEditform_wf_aufgabeProperty_edit_parentAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'delete') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Aufgabe::deleteAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'index' || $q == '')) {
		try {
			$result = \Tables\Aufgabe::indexAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}

	header('HTTP/1.0 404 Not found');
	\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
	die();
    
  }

  public static function createURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/create';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/edit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function stateEditURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/stateEdit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deadlineEditURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/deadlineEdit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function assignListFop_listURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/assignListFop_list';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/delete';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function createListAufgabeAnhang_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/createListAufgabeAnhang_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editListAufgabeAnhang_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/editListAufgabeAnhang_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function createMatrixMatrix_aufgabeProperty_parent_typeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/createMatrixMatrix_aufgabeProperty_parent_type';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editMatrixMatrix_aufgabeProperty_parent_typeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/editMatrixMatrix_aufgabeProperty_parent_type';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchAufgabeEvent_create_state_defaultDynamicwf_aufgabeEvent_create_state_defaultDynamicURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/fetchAufgabeEvent_create_state_defaultDynamicwf_aufgabeEvent_create_state_defaultDynamic';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchAufgabeEvent_edit_state_defaultDynamicwf_aufgabeEvent_edit_state_defaultDynamicURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/fetchAufgabeEvent_edit_state_defaultDynamicwf_aufgabeEvent_edit_state_defaultDynamic';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsaufgabeEvent_ticket_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsaufgabeEvent_ticket_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsaufgabeAnhang_parent_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsaufgabeAnhang_parent_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsaufgabeProperty_parent_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsaufgabeProperty_parent_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_aufgabe_create_aufgabeAnhang_parent_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsformarray_wf_aufgabe_create_aufgabeAnhang_parent_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_create_ticketURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsform_wf_aufgabeEvent_create_ticket';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_aufgabeAnhang_create_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsform_wf_aufgabeAnhang_create_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_aufgabeProperty_create_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsform_wf_aufgabeProperty_create_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_edit_ticketURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsform_wf_aufgabeEvent_edit_ticket';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_aufgabeAnhang_edit_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsform_wf_aufgabeAnhang_edit_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_aufgabeProperty_edit_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/searchOptionsform_wf_aufgabeProperty_edit_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditaufgabeEvent_ticket_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditaufgabeEvent_ticket_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditaufgabeAnhang_parent_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditaufgabeAnhang_parent_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditaufgabeProperty_parent_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditaufgabeProperty_parent_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_aufgabe_create_aufgabeAnhang_parent_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditformarray_wf_aufgabe_create_aufgabeAnhang_parent_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_aufgabeEvent_create_ticketURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditform_wf_aufgabeEvent_create_ticket';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_aufgabeAnhang_create_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditform_wf_aufgabeAnhang_create_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_aufgabeProperty_create_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditform_wf_aufgabeProperty_create_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_aufgabeEvent_edit_ticketURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditform_wf_aufgabeEvent_edit_ticket';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_aufgabeAnhang_edit_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditform_wf_aufgabeAnhang_edit_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_aufgabeProperty_edit_parentURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Aufgabe/renderEditform_wf_aufgabeProperty_edit_parent';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexAccess() { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function assignAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-itemlist-aufgabe-edit ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('aufgabe').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: access-itemlist-aufgabe-view ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('aufgabe').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteConfirmAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-itemlist-aufgabe-delete ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('aufgabe').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function viewAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(!\FOP\User::getIsGuest())) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-itemlist-aufgabe-delete ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('aufgabe').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createAccess() { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-item-aufgabe-edit-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('aufgabe').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function stateEditAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-item-aufgabe-edit-id ---
    
		if (\FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('aufgabe').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deadlineEditAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-item-aufgabe-edit-id ---
    
		if (\FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('aufgabe').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function assignListFop_listAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createListAufgabeAnhang_parentAccess($row = null , $parent = null , $column_file = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editListAufgabeAnhang_parentAccess($row = null , $parent = null , $column_file = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createMatrixMatrix_aufgabeProperty_parent_typeAccess($id, $values, $typ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editMatrixMatrix_aufgabeProperty_parent_typeAccess($id, $values, $typ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchAufgabeEvent_create_state_defaultDynamicwf_aufgabeEvent_create_state_defaultDynamicAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchAufgabeEvent_edit_state_defaultDynamicwf_aufgabeEvent_edit_state_defaultDynamicAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsaufgabeEvent_ticket_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsaufgabeAnhang_parent_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsaufgabeProperty_parent_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parentAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parentAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_aufgabe_create_aufgabeAnhang_parent_parentAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parentAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_create_ticketAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_aufgabeAnhang_create_parentAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_aufgabeProperty_create_parentAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_edit_ticketAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_aufgabeAnhang_edit_parentAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_aufgabeProperty_edit_parentAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditaufgabeEvent_ticket_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditaufgabeAnhang_parent_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditaufgabeProperty_parent_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_aufgabe_create_matrix_aufgabeProperty_parent_type_parentAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_aufgabe_edit_matrix_aufgabeProperty_parent_type_parentAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_aufgabe_create_aufgabeAnhang_parent_parentAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_aufgabe_edit_aufgabeAnhang_parent_parentAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_aufgabeEvent_create_ticketAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_aufgabeAnhang_create_parentAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_aufgabeProperty_create_parentAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_aufgabeEvent_edit_ticketAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_aufgabeAnhang_edit_parentAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_aufgabeProperty_edit_parentAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }


  
  

  
  
}



